Name: xawtv
Summary: A TV application for video4linux compliant devices.
Version: 3.07
Release: 8
Source:	http://www.in-berlin.de/User/kraxel/v4l/%{name}-%{version}.tar.gz
Patch0: xawtv-3.07-config.patch
Group: Applications/Multimedia
License: GPL
URL: http://www.in-berlin.de/User/kraxel/xawtv.html
BuildRoot: /var/tmp/%{name}-root

%description
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux.  Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.

%prep
%setup -q
%patch0 -p1 -b .config

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=/usr \
	--disable-kradio \
	--enable-jpeg \
	--enable-xfree-ext \
	--enable-xvideo
	
make

%install
make install ROOT=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/app-defaults/Xawtv
/usr/X11R6/lib/X11/fonts/misc/*

/usr/bin/dump-mixers
/usr/bin/fbtv
/usr/bin/propwatch
/usr/bin/radio
/usr/bin/record
/usr/bin/showriff
/usr/bin/streamer
%attr(0711,root,root) /usr/bin/v4l-conf
/usr/bin/v4lctl
/usr/bin/xawtv
/usr/bin/xawtv-remote

/usr/man/man1/*
%doc COPYING KNOWN_PROBLEMS Miro_gpio.txt Programming-FAQ README 
%doc Sound-FAQ Trouble-Shooting TODO UPDATE_TO_v3.0

%post
{
  pushd /usr/X11R6/lib/X11/fonts/misc
  mkfontdir
  popd
}

if [ ".$DISPLAY" != "." ]; then
  xset fp rehash > /dev/null 2>&1
  true
fi

%postun
if [ $1 = 0 ]; then
  {
    pushd /usr/X11R6/lib/X11/fonts/misc
    mkfontdir
    popd
  }
  if [ ".$DISPLAY" != "." ]; then
    xset fp rehash > /dev/null 2>&1
    true
  fi
fi

%changelog
* Wed Jan 19 2000 Preston Brown <pbrown@redhat.com>
- font fix (#8610) in post and postun
- add missing files in bin

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- whoops! 3.07 already bugfix release

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.06

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 2.46
- built for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0
